# ``igraph`.`drawing`.`plotly`.`polygon`.`PlotlyPolygonDrawer``

class documentation

`class PlotlyPolygonDrawer: (source)`

Constructor: `PlotlyPolygonDrawer(fig)`

View In Hierarchy

Class that is used to draw polygons in matplotlib.

The corner points of the polygon can be set by the `points` property of the drawer, or passed at construction time. Most drawing methods in this class also have an extra `points` argument that can be used to override the set of points in the `points` property.

Method | `__init__` | Constructs a new polygon drawer that draws on the given Matplotlib axes.
Method | `draw` | Draws a polygon to the associated axes.
Instance Variable | `context` | Undocumented

def __init__(self, fig): (source)

Constructs a new polygon drawer that draws on the given Matplotlib axes.

Parameters
fig | the plotly Figure to draw on

def draw(self, points, corner_radius=0, **kwds): (source)

Draws a polygon to the associated axes.

Parameters
points | the coordinates of the corners of the polygon, in clockwise or counter-clockwise order, or `None` if we are about to use the `points` property of the class.
corner_radius | if zero, an ordinary polygon will be drawn. If positive, the corners of the polygon will be rounded with the given radius.
**kwds | Undocumented

context = (source)

Undocumented